import { API_ENDPOINT } from "..";
import WebRequest from "../common/WebRequest";
import { CachedEndpointStatus } from "../types/cache/cachedEndpointStatus";

const endpointStatusEndpoint = API_ENDPOINT + "/mojang/status";

/**
 * Gets the Mojang API status.
 *
 * @returns the Mojang API status
 */
export function getMojangEndpointStatus(): Promise<CachedEndpointStatus> {
  return WebRequest.get(endpointStatusEndpoint);
}
